# -*- coding: utf-8 -*-
from django.shortcuts import render
from django.contrib.auth.decorators import login_required
from django.core.exceptions import PermissionDenied

from .utils import doc_available


def default_renderer(request, template_name):
    # page accessible sans authentification
    return render(request, template_name, {})


@login_required
def login_renderer(request, template_name):
    # page accessible avec authentification
    return render(request, template_name, {})


@login_required
def manager_renderer(request, template_name):
    # page accessible aux utilisateurs étant manager ou pouvant créer un évènement

    if not doc_available(request.user):
        raise PermissionDenied

    return render(request, template_name, {})
